# Thermotron 3800 Oven

class pymeasure.instruments.thermotron.Thermotron3800(adapter, name='Thermotron 3800', **kwargs)

  Bases: `Instrument`

  Represents the Thermotron 3800 Oven. For now, this driver only supports using Control Channel 1. There is a 1000ms built in wait time after all write commands.

  class Thermotron3800Mode(value, names=<not given>, *values, module=None, qualname=None, type=None, start=1, boundary=None)

    Bases: `IntFlag`

    Bit | Mode
    --- | ---
    0 | Program mode
    1 | Edit mode (controller in stop mode)
    2 | View program mode
    3 | Edit mode (controller in hold mode)
    4 | Manual mode
    5 | Delayed start mode
    6 | Unused
    7 | Calibration mode

  property id

    Get the instrument identification

    Returns:

      String

  initalize_oven(wait=True)

    The manufacturer recommends a 3 second wait time after after initializing the oven. The optional “wait” variable should remain true, unless the 3 second wait time is taken care of on the user end. The wait time is split up in the following way: 1 second (built into the write function) + 2 seconds (optional wait time from this function (initialize_oven)).

    Returns:

      None

  property mode

    Get the operating mode of the oven.

    Returns:

      Tuple(String, int)

  run()

    Starts temperature forcing. The oven will ramp to the setpoint.

    Returns:

      None

  property setpoint

    Control the setpoint of the oven in Celsius. (float) “setpoint” will not update until the “run()” command is called. After setpoint is set to a new value, the “run()” command must be called to tell the oven to run to the new temperature.

    Returns:

      None

  stop()

    Stops temperature forcing on the oven.

    Returns:

      None

  property temperature

    Get the current temperature of the oven via built in thermocouple. Default unit is Celsius, unless changed by the user.

    Returns:

      float

  write(command)

    Write a string command to the instrument appending write_termination.

    Parameters:

      - command – command string to be sent to the instrument

      - kwargs – Keyword arguments for the adapter.